package com.ruoyi.info.order.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum OrderRefundExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    OrderRefund_IS_NOT_EXISTS(180001, "售后订单不存在"),

    ;

    private Integer code;

    private String msg;

    OrderRefundExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static OrderRefundExceptionEnum getByCode(int code, OrderRefundExceptionEnum[] values) {
        for (OrderRefundExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
